Subject: Re: [PATCH 2/6] Test environment of git-remote-mediawiki

From: "Simon.Cathebras" <[email-masked]>
Date: Wed, 13 Jun 2012 10:10:31 +0200

On 13/06/2012 09:56, Matthieu Moy wrote:
> Simon Cathebras<[email-masked]>  writes:
>
>> +# Check the preconditions to run git-remote-mediawiki's tests
>> +test_check_precond () {
> This is a very generic name (with risk of name clash in future versions
> of test-lib.sh). This checks the git-mediawiki preconditions, so how
> about test_check_wiki_precond?

I agree with that.

>> +	if ! test_have_prereq PERL
>> +	then
>> +		skip_all='skipping gateway git-mw tests, perl not available'
>> +		test_done
>> +	fi
>> +
>> +	if [ ! -f $GIT_BUILD_DIR/git-remote-mediawiki ];
> "" around $GIT_BUILD_DIR
>
> But why $GIT_BUILD_DIR ? git-remote-mediawiki usually doesn't go there,
> it is either as source in contrib/, or installed in the $PATH.

Indeed, I developped this code and I have missunderstood the behavior of 
contrib. It will be fix in the next patch by tonight.

>> +	then
>> +		skip_all='skipping gateway git-mw tests, no remote mediawiki for git found' \
>> +		'please try: cp git/contrib/mw-to-git/git-remote-mediawiki git/'
> Don't you have a "make install" target for that now?

Yes we have. We shall correct it by tonight.

>
> +	$CURR_DIR/test-gitmw.pl getallpagename
>
> Here and elsewhere, "" around "$CURR_DIR"
>
Got it, thanks =).

Simon C

-- 
CATHEBRAS Simon

2A-ENSIMAG

Filière Ingéniérie des Systèmes d'Information
Membre Bug-Buster